# collada.util.checkSource

collada.util.checkSource(source, components, maxindex)

  Check if a source objects complies with the needed components and has the needed length

  Parameters:

    - source (collada.source.Source) – A source instance to check

    - components (tuple) – A tuple describing the needed channels, e.g. `('X','Y','Z')`

    - maxindex (int) – The maximum index that refers to this source